﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace App2
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private void ScrollViewer_PointerWheelChanged(object sender, PointerRoutedEventArgs e)
        {
            e.Handled = true;
        }
    }

    public class Model
    {
        public double XValue { get; set; }

        public double YValue { get; set; }

        public Model(double x,double y)
        {
            XValue = x;
            YValue = y;
        }
    }

    public class ViewModel
    {
        public ViewModel()
        {
            Data = new ObservableCollection<Model>();
            Random rd = new Random();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Model(i, rd.Next(10, 100)));
            }
        }

        public ObservableCollection<Model> Data { get; set; }
    }
}
